## audioamplify

audioamplify

## Properties

gfloat | amplification | Read / Write
GstAudioAmplifyClippingMethod | clipping-method | Read / Write

## Types and Values

struct | GstAudioAmplify

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstAudioAmplify

## Description

Amplifies an audio stream by a given factor and allows the selection of different clipping modes. The difference between the clipping modes is best evaluated by testing.

### Example launch line

    1
    2
    3

    gst-launch-1.0 audiotestsrc wave=saw ! audioamplify amplification=1.5 ! alsasink
    gst-launch-1.0 filesrc location="melo1.ogg" ! oggdemux ! vorbisdec ! audioconvert ! audioamplify amplification=1.5 clipping-method=wrap-negative ! alsasink
    gst-launch-1.0 audiotestsrc wave=saw ! audioconvert ! audioamplify amplification=1.5 clipping-method=wrap-positive ! audioconvert ! alsasink

## Synopsis

### Element Information

plugin | audiofx
author | Sebastian Dröge <slomo@circular-chaos.org>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S8, S16LE, S32LE, F32LE, F64LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string){ interleaved, non-interleaved }

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, S16LE, S32LE, F32LE, F64LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string){ interleaved, non-interleaved }

## Functions

## Types and Values

### struct GstAudioAmplify

    struct GstAudioAmplify;

## Property Details

### The `“amplification”` property

      “amplification”            gfloat

Factor of amplification.

Owner: GstAudioAmplify

Flags: Read / Write

Default value: 1

### The `“clipping-method”` property

      “clipping-method”          GstAudioAmplifyClippingMethod

Clipping method: clip mode set values higher than the maximum to the maximum. The wrap-negative mode pushes those values back from the opposite side, wrap-positive pushes them back from the same side.

Owner: GstAudioAmplify

Flags: Read / Write

Default value: Normal clipping (default)